Bug 463007 - qdbusviewer can not invoke methods
qdbusviewer can not invoke methods
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: qt4 (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-20 11:17 EDT by Feng Yu
Modified: 2008-11-22 18:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-22 18:07:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Feng Yu 2008-09-20 11:17:00 EDT
Description of problem:

qdbusviewer can not invoke methods, such as

ord.freedesktop.Notifications.Notify

Version-Release number of selected component (if applicable):
qt-x11-4.4.1-2.fc9.i386

thougt it seems has been there for a long time.

How reproducible:
always

Steps to Reproduce:
1. qdbusviewer
2. find org.freedesktop.Notifications
3. call Notify
  
Actual results:
failed.

Expected results:
a dialog pop up and allowing the user to set parameters, and call the method.

Additional info:
it looks like any method with a signature of "s" will fail.
Comment 1 Steven M. Parrish 2008-09-25 17:54:37 EDT
Thanks for the report.  I checked upstream and could not find a matching bug.Please file a bug report in the the upstream bugzilla located at http://bugs.kde.org for the particular component involved.

Once you've filed your bug report to the upstream bugzilla, please add the upstream info to this report. We will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.
Comment 2 Kevin Kofler 2008-09-25 23:33:32 EDT
That's a Qt bug, it should be reported to Trolltech's task tracker, not bugs.kde.org.
Comment 3 Steven M. Parrish 2008-11-22 18:07:08 EST
It has been over 30 days since the last request for an update.  Closing this as INSUFFICIENT DATA.  Please feel free to reopen this bug if it is still an issue and if you have the requested data.
Comment 4 Kevin Kofler 2008-11-22 18:38:53 EST
It doesn't just have a signature of "s", but requires a lot of parameters:
    <method name="Notify">
      <arg name="app_name" type="s" direction="in"/>
      <arg name="id" type="u" direction="in"/>
      <arg name="icon" type="s" direction="in"/>
      <arg name="summary" type="s" direction="in"/>
      <arg name="body" type="s" direction="in"/>
      <arg name="actions" type="as" direction="in"/>
      <arg name="hints" type="a{sv}" direction="in"/>
      <arg name="timeout" type="i" direction="in"/>
      <arg name="return_id" type="u" direction="out"/>
    </method>
I don't think the strings are the problem, maybe the a{sv} is. But in any case, this should be reported to the trolltech.com bug tracker:

Note You need to log in before you can comment on or make changes to this bug.